Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006132 [JEDI VCL] 02 Installation major have not tried 2013-04-19 18:24 2015-09-14 13:20
Reporter wmeyer View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006132: JVCL Installer won't build
Description This is the same error reported in http://issuetracker.delphi-jedi.org/view.php?id=6007, [^] and resolved. But in 3.47, downloaded two days ago, the problem exists.
Additional Information Installation to Delphi XE was attempted. Windows 7 64-bit.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020468)
wmeyer (reporter)
2013-04-19 18:50

It appears that the issue in DXE is that although support for unit types is present, DXE uses Types.pas, not System.Types.pas.
(0020469)
wmeyer (reporter)
2013-04-19 19:35

The JCL installer builds with no problem, but in JediGUIInstall.pas, I see this:

implementation

{$R *.dfm}

uses
  {$IFDEF HAS_UNIT_TYPES}
  Types, // inlining of Point
  {$ENDIF HAS_UNIT_TYPES}
  Windows, Messages,
  FileCtrl,
  JclStrings,
  JediInstallResources;

In the JVCL installer code, however, in GenerateDefines.pas, I see this:

uses
  {$IFDEF HAS_UNIT_TYPES}
  System.Types,
  {$ENDIF HAS_UNIT_TYPES}
  SysUtils, JclStrings;

It would seem to me that neither of these is as it should be. HAS_UNIT_TYPES is one consideration, but whether the file exists in the version of Delphi is another. While I am not certain, I believe that System.Types made its appearance in DXE2.
(0020472)
AHUser (developer)
2013-05-05 13:15

This was fixed in svn revision 13426 on 2012-09-10.

- Issue History
Date Modified Username Field Change
2013-04-19 18:24 wmeyer New Issue
2013-04-19 18:50 wmeyer Note Added: 0020468
2013-04-19 19:35 wmeyer Note Added: 0020469
2013-05-05 13:15 AHUser Note Added: 0020472
2013-05-05 13:15 AHUser Status new => resolved
2013-05-05 13:15 AHUser Fixed in Version => Daily / SVN
2013-05-05 13:15 AHUser Resolution open => fixed
2013-05-05 13:15 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker